﻿using System;
using System.Windows.Forms;

using ScottPlot;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            int pointCount = 51;

            double[] xValueArray1 = DataGen.RandomNormal(random, pointCount, 1);
            double[] xValueArray2 = DataGen.RandomNormal(random, pointCount, 3);
            double[] yValueArray1 = DataGen.RandomNormal(random, pointCount, 5);
            double[] yValueArray2 = DataGen.RandomNormal(random, pointCount, 7);

            plot.AddScatter(xValueArray1, yValueArray1, markerSize : 0, label : "lines only");
            plot.AddScatter(xValueArray2, yValueArray2, lineWidth : 0, label : "markers only");

            plot.Legend();

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}